#include<stdio.h>
#include<math.h>
long long L[1000000],D[1000000],M[1000000],K,N,x,k=0;
int main(){
	scanf("%lld%lld",&N,&K);
	for(long long j=0;j<N;j++){
		L[j]=0;
		D[j]=0;
	}
	for(long long i=0;i<N;i++){
		scanf("%lld",&x);
		if(x<0){
			x*=-1;
			L[x]++;
		}
		else D[x]++;
		
	}
	for(long long j=N;j<0;j--)if(L[j]>=K){
				M[k]=-j;
				k++;
			}
	for(long long j=0;j<N;j++)if(D[j]>=K){
				M[k]=j;
				k++;
			}
	if(k!=0){
		printf("%lld\n",k);
		for(long long i=0;i<k;i++)printf("%lld  ",M[i]);
	}
	else printf("0");
	return 0;	
}